Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
мНет описания правки
Строка 7: Строка 7:


.таблица-ролей__content {
.таблица-ролей__content {
display: grid;
    gap: 12px;
    grid-template-columns: repeat(auto-fit, minmax(120px, auto));
    align-items: start;
     padding: 12px 10px;
     padding: 12px 10px;
    display: flex;
    gap: 10px;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
}
.таблица-ролей__content > .link-card {
    min-width: 180px;
}
}


Строка 26: Строка 31:
     display: grid;
     display: grid;
     gap: 6px;
     gap: 6px;
     grid-template-columns: repeat(auto-fit, minmax(220px, auto));
     grid-template-columns: 0.5fr 1fr;
     margin-top: 6px;
     margin-top: 6px;
}
}

Версия от 00:05, 27 июня 2025

.таблица-ролей {
    background: var(--theme-bg-color-100);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__content {
    padding: 12px 10px;
    display: flex;
    gap: 10px;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
}

.таблица-ролей__content > .link-card {
    min-width: 180px;
}

.таблица-ролей__header {
	padding: 0.2em 0.4em 0.2em;
	font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid var(--color-lighter-alpha-x);
    border-bottom: 2px solid var(--color-darkened-border);
}


.таблица-ролей__sub {
    display: grid;
    gap: 6px;
    grid-template-columns: 0.5fr 1fr;
    margin-top: 6px;
}

.таблица-ролей__sub-content {
	border-top: 1px solid var(--color-lighter-alpha-x);
    border-radius: var(--border-radius-low);
}

.таблица-ролей__sub > div {
    padding: 0.2em 0.4em 0.2em;
}